Name:           pspp
Version:        0.6.0
Release:        5%{?dist}
Summary:        A program for statistical analysis of sampled data

Group:          Applications/Engineering
License:        GPLv3+
URL:            http://www.gnu.org/software/pspp/
Source0:        ftp://ftp.gnu.org/pub/gnu/pspp/pspp-%{version}.tar.gz
Source1:        pspp-psppire-desktop.txt
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:  plotutils-devel, gsl-devel, ncurses-devel, readline-devel
BuildRequires:  postgresql-devel
BuildRequires:  glade3-libgladeui-devel, libglade2-devel
BuildRequires:  gettext, desktop-file-utils
Requires(post): info
Requires(preun): info

%description
PSPP is a program for statistical analysis of sampled data. It
interprets commands in the SPSS language and produces tabular
output in ASCII, PostScript, or HTML format.

PSPP development is ongoing. It already supports a large subset
of SPSS's transformation language. Its statistical procedure
support is currently limited, but growing.

%prep
%setup -q

TMPTHANKS=$(mktemp %{name}.XXXXXXXX)
iconv -f ISO-8859-1 -t UTF-8 THANKS >$TMPTHANKS
chmod --reference=THANKS $TMPTHANKS
touch --reference=THANKS $TMPTHANKS
mv $TMPTHANKS THANKS

%build
%configure CFLAGS="${CFLAGS:-%optflags} -fgnu89-inline" \
    --disable-static --disable-rpath
make %{?_smp_mflags}
cp -p %{SOURCE1} psppire.desktop

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# don't own /usr/share/info/dir
rm $RPM_BUILD_ROOT%{_infodir}/dir

# don't lala
find $RPM_BUILD_ROOT%{_libdir}/ \
   \( -name \*.la -o -name \*.so \) \
   -delete

# icon file
desktop-file-install --vendor="fedora" \
    --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
    psppire.desktop

# localization
%find_lang %{name}

%check
make check

%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ] ; then
   /sbin/install-info --delete %{_infodir}/%{name}.info* %{_infodir}/dir || :
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING examples/ THANKS TODO AUTHORS
%config(noreplace) %{_sysconfdir}/pspp/*
%dir %{_sysconfdir}/pspp
%{_bindir}/pspp
%{_bindir}/psppire
%{_infodir}/pspp*
%{_libdir}/pspp
%{_datadir}/pspp
%{_datadir}/applications/fedora-psppire.desktop

%changelog
* Sat Jun 14 2008 Matěj Cepl <mcepl@redhat.com> 0.6.0-5
- Approved version with fixed duplicate %%{_sysconfdir}/pspp

* Thu Jun 13 2008 Matěj Cepl <mcepl@redhat.com> 0.6.0-4
- Second wave of Package Review -- .desktop file
- Mysterious libraries eliminated

* Thu Jun 12 2008 Matěj Cepl <mcepl@redhat.com> 0.6.0-3
- First wave of Package Review nitpicking -- added %%doc and fixed Texinfo
  handling.

* Thu Jun 12 2008 Matěj Cepl <mcepl@redhat.com> 0.6.0-2
- Upstream release, this build is to be put into the package review.

* Tue Apr 22 2008 Matěj Cepl <mcepl@redhat.com> 0.6.0-0.1.pre2
- Upstream pre-release.

* Mon Apr 23 2007 Matej Cepl <mcepl@redhat.com> - 0.4.0-1
- The first experimental package of PSPP for Fedora.
